%define major 1
%define minor 42
%define fix 0

Name: libuv
Version: %{major}.%{minor}.%{fix}
Release: 1
License: MIT
Summary: Multi-platform support library with a focus on asynchronous I/O
Url: http://libuv.org/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pase-build-tools

Source0: https://dist.libuv.org/dist/v%{version}/libuv-v%{version}.tar.gz

%description
libuv is a multi-platform support library with a focus on asynchronous I/O. It 
was primarily developed for use by Node.js, but it's also used by Luvit, Julia,
pyuv, and others.

%package -n libuv1
Summary: Multi-platform support library with a focus on asynchronous I/O

%description -n libuv1
libuv is a multi-platform support library with a focus on asynchronous I/O. It 
was primarily developed for use by Node.js, but it's also used by Luvit, Julia,
pyuv, and others.


%package devel
Summary: Development package for %{name}
Requires: libuv1 = %{version}-%{release}

%description devel
Provides development headers for %{name}


%prep
%setup -q -n %{name}-v%{version}

%build

./autogen.sh

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --disable-static \
  # end

%make_build

%check
# Relaxing test timeouts may be necessary on slow or overloaded machines:
export UV_TEST_TIMEOUT_MULTIPLIER=2

make check

%install

%make_install

rm %{buildroot}/%{_libdir}/*.la || :

%files -n libuv1
%defattr(-, qsys, *none)

%{_libdir}/libuv.so.1

%files devel
%defattr(-, qsys, *none)

%{_includedir}/uv.h
%{_includedir}/uv

%{_libdir}/libuv.so

%{_libdir}/pkgconfig/libuv.pc

%changelog
* Wed Aug 18 2021 Xu Meng <mengxumx@cn.ibm.com> - 1.42.0
- Bump to v1.42.0 to fix long vlan interface name issue

* Thu Feb 18 2021 Xu Meng <mengxumx@cn.ibm.com> - 1.41.0
- Bump to v1.41.0

* Thu Jan 21 2021 Xu Meng <mengxumx@cn.ibm.com> - 1.40.0
- Bump to v1.40.0

* Tue May 19 2020 Xu Meng <mengxumx@cn.ibm.com> - 1.38.0
- Bump to v1.38.0

* Wed Mar 18 2020 Xu Meng <mengxumx@cn.ibm.com> - 1.35.0
- Bump to v1.35.0

* Wed Mar 4 2020 Xu Meng <mengxumx@cn.ibm.com> - 1.34.2
- Bump to v1.34.2
- Add build checks

* Tue Mar 26 2019 Kevin Adler <kadler@us.ibm.com> - 1.21.0
- ibm-build-tools -> pase-build-tools

* Mon Jul 23 2018 - Kevin Adler <kadler@us.ibm.com>
- Initial commit
